Bug 253839 - find -L not supported
find -L not supported
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: findutils (Show other bugs)
4.5
All Linux
low Severity low
: ---
: ---
Assigned To: Kamil Dudka
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-22 06:19 EDT by Kjetil T. Homme
Modified: 2010-03-12 06:13 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-12 06:13:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kjetil T. Homme 2007-08-22 06:19:49 EDT
Description of problem:
POSIX and the manual page documents the -L and -H modifiers for find, but they 
are not recognised.

Version-Release number of selected component (if applicable):
findutils-4.1.20-7.el4.3

How reproducible:
Always.

Steps to Reproduce:
1. find -L . -type l
  
Actual results:
find: invalid predicate `-L'

Expected results:
A list of dangling symlinks.

Additional info:
The bug has been fixed in the latest version of findutils.
Comment 1 Vitezslav Crhonek 2008-02-14 08:00:10 EST
Thanks for your report.

With the goal of minimizing risk of change for deployed systems, and in response
to customer and partner requirements, Red Hat takes a conservative approach when
evaluating changes for inclusion in maintenance updates for currently deployed
products. The primary objectives of update releases are to enable new hardware
platform support and to resolve critical defects.

Please contact official Red Hat Support at https://www.redhat.com/apps/support/ to
allow correct prioritization of this issue.
Comment 3 Kamil Dudka 2010-03-12 06:13:08 EST
I'm sorry for not addressing the issue in RHEL-4.  As findutils is not scheduled for update in RHEL-4.9, I'm closing the bug as WONTFIX.  You are welcome to update to RHEL-5, where the bug is no longer present.

Note You need to log in before you can comment on or make changes to this bug.